Package org.apache.sling.starter.testservices.servlets.requestdispatcher

# Class RequestDispatcherIncludeBufferedServlet

java.lang.Object
javax.servlet.GenericServlet
org.apache.sling.api.servlets.SlingSafeMethodsServlet
org.apache.sling.starter.testservices.servlets.requestdispatcher.RequestDispatcherIncludeBufferedServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class RequestDispatcherIncludeBufferedServlet extends org.apache.sling.api.servlets.SlingSafeMethodsServlet
Servlet using RequestDispatcher.include to include output of another servlet in it's response. This time the inclusion is not done directly on the response, but the include is done into a "synthetic response" created via Sling Builders and the output than written to the real response.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RequestDispatcherIncludeBufferedServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(@NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull org.apache.sling.api.SlingHttpServletResponse response)`

### Methods inherited from class org.apache.sling.api.servlets.SlingSafeMethodsServlet

`doGeneric, doHead, doOptions, doTrace, getAllowedRequestMethods, getServletInfo, handleMethodNotImplemented, mayService, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestDispatcherIncludeBufferedServlet

public RequestDispatcherIncludeBufferedServlet()

## Method Details

### doGet

protected void doGet(@NotNull @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull @NotNull org.apache.sling.api.SlingHttpServletResponse response) throws javax.servlet.ServletException, IOException

Overrides:
  `doGet` in class `org.apache.sling.api.servlets.SlingSafeMethodsServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`